Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

My trac and svn used to work it still does if i click on the links many times. How ever it complaines of he followign and i am not sure what to do i have followed http://trac.edgewall.org/wiki/TracSubversion and http://trac.edgewall.org/wiki/TracSubversion but nothings changed. I am using centos 5, svn 1.6, trac 0.10.4, python 2.4.3

2013-11-29 14:24:14,458 Trac[main] ERROR: Unsupported version control system "svn". Check that the Python bindings for "svn" are correctly installed.
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/trac/web/main.py", line 406, in dispatch_request
    dispatcher.dispatch(req)
  File "/usr/lib/python2.4/site-packages/trac/web/main.py", line 191, in dispatch
    chosen_handler = self._pre_process_request(req, chosen_handler)
  File "/usr/lib/python2.4/site-packages/trac/web/main.py", line 263, in _pre_process_request
    chosen_handler = f.pre_process_request(req, chosen_handler)
  File "/usr/lib/python2.4/site-packages/trac/versioncontrol/api.py", line 73, in pre_process_request
    self.get_repository(req.authname).sync()
  File "/usr/lib/python2.4/site-packages/trac/versioncontrol/api.py", line 91, in get_repository
    raise TracError('Unsupported version control system "%s". '
TracError: Unsupported version control system "svn". Check that the Python bindings for "svn" are correctly installed.
2013-11-29 14:24:15,090 Trac[loader] DEBUG: Loading file plugin ez_setup from /usr/share/trac/plugins/ez_setup.py
2013-11-29 14:24:15,154 Trac[loader] DEBUG: Loading egg plugin trac.ticket.web_ui from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,286 Trac[loader] DEBUG: Loading egg plugin trac.ticket.query from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,345 Trac[loader] DEBUG: Loading egg plugin trac.attachment from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,345 Trac[loader] DEBUG: Loading egg plugin trac.versioncontrol.svn_fs from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,564 Trac[loader] DEBUG: Loading egg plugin tracopt.mimeview.enscript from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,627 Trac[loader] DEBUG: Loading egg plugin trac.mimeview.patch from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,629 Trac[loader] DEBUG: Loading egg plugin trac.mimeview.txtl from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,643 Trac[loader] WARNING: Cannot load plugin trac.mimeview.txtl because it requires "textile>=2.0"
2013-11-29 14:24:15,643 Trac[loader] DEBUG: Loading egg plugin trac.admin.web_ui from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,644 Trac[loader] ERROR: Failed to load plugin trac.admin.web_ui from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/trac/loader.py", line 101, in load_components
    entry_point.load()
  File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/pkg_resources.py", line 1954, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
ImportError: No module named admin.web_ui
2013-11-29 14:24:15,682 Trac[loader] DEBUG: Loading egg plugin trac.web.session from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,683 Trac[loader] DEBUG: Loading egg plugin trac.ticket.admin from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,684 Trac[loader] ERROR: Failed to load plugin trac.ticket.admin from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/trac/loader.py", line 101, in load_components
    entry_point.load()
  File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/pkg_resources.py", line 1954, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
ImportError: No module named admin
2013-11-29 14:24:15,685 Trac[loader] DEBUG: Loading egg plugin trac.mimeview.rst from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,699 Trac[loader] WARNING: Cannot load plugin trac.mimeview.rst because it requires "docutils>=0.3"
2013-11-29 14:24:15,699 Trac[loader] DEBUG: Loading egg plugin trac.db.postgres from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,701 Trac[loader] DEBUG: Loading egg plugin trac.versioncontrol.web_ui from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,734 Trac[loader] DEBUG: Loading egg plugin trac.timeline from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,735 Trac[loader] ERROR: Failed to load plugin trac.timeline from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/trac/loader.py", line 101, in load_components
    entry_point.load()
  File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/pkg_resources.py", line 1954, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
ImportError: No module named timeline.web_ui
2013-11-29 14:24:15,736 Trac[loader] DEBUG: Loading egg plugin trac.mimeview.pygments from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,749 Trac[loader] WARNING: Cannot load plugin trac.mimeview.pygments because it requires "Pygments>=0.6"
2013-11-29 14:24:15,750 Trac[loader] DEBUG: Loading egg plugin trac.wiki.admin from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,750 Trac[loader] ERROR: Failed to load plugin trac.wiki.admin from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/trac/loader.py", line 101, in load_components
    entry_point.load()
  File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/pkg_resources.py", line 1954, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
ImportError: No module named admin
2013-11-29 14:24:15,751 Trac[loader] DEBUG: Loading egg plugin trac.about from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,752 Trac[loader] ERROR: Failed to load plugin trac.about from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/trac/loader.py", line 101, in load_components
    entry_point.load()
  File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/pkg_resources.py", line 1954, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
ImportError: No module named about
2013-11-29 14:24:15,752 Trac[loader] DEBUG: Loading egg plugin tracopt.ticket.commit_updater from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,758 Trac[loader] ERROR: Failed to load plugin tracopt.ticket.commit_updater from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/trac/loader.py", line 101, in load_components
    entry_point.load()
  File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/pkg_resources.py", line 1954, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
  File "build/bdist.linux-i686/egg/tracopt/ticket/commit_updater.py", line 48, in ?
ImportError: No module named compat
2013-11-29 14:24:15,759 Trac[loader] DEBUG: Loading egg plugin trac.wiki.interwiki from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,762 Trac[loader] DEBUG: Loading egg plugin trac.ticket.roadmap from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,765 Trac[loader] DEBUG: Loading egg plugin trac.versioncontrol.svn_prop from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,766 Trac[loader] ERROR: Failed to load plugin trac.versioncontrol.svn_prop from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/trac/loader.py", line 101, in load_components
    entry_point.load()
  File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/pkg_resources.py", line 1954, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
ImportError: No module named svn_prop
2013-11-29 14:24:15,766 Trac[loader] DEBUG: Loading egg plugin trac.mimeview.silvercity from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,779 Trac[loader] WARNING: Cannot load plugin trac.mimeview.silvercity because it requires "SilverCity>=0.9.4"
2013-11-29 14:24:15,779 Trac[loader] DEBUG: Loading egg plugin trac.wiki.macros from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,780 Trac[loader] DEBUG: Loading egg plugin trac.db.sqlite from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:15,790 Trac[loader] DEBUG: Loading egg plugin tracopt.ticket.deleter from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:16,045 Trac[loader] ERROR: Failed to load plugin tracopt.ticket.deleter from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/trac/loader.py", line 101, in load_components
    entry_point.load()
  File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/pkg_resources.py", line 1954, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
  File "build/bdist.linux-i686/egg/tracopt/ticket/deleter.py", line 22, in ?
ImportError: No module named translation
2013-11-29 14:24:16,046 Trac[loader] DEBUG: Loading egg plugin trac.wiki.web_ui from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:16,054 Trac[loader] DEBUG: Loading egg plugin tracopt.mimeview.php from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:16,055 Trac[loader] DEBUG: Loading egg plugin trac.web.auth from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:16,090 Trac[loader] DEBUG: Loading egg plugin trac.wiki.web_api from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:16,091 Trac[loader] ERROR: Failed to load plugin trac.wiki.web_api from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/trac/loader.py", line 101, in load_components
    entry_point.load()
  File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/pkg_resources.py", line 1954, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
ImportError: No module named web_api
2013-11-29 14:24:16,092 Trac[loader] DEBUG: Loading egg plugin trac.admin.console from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:16,092 Trac[loader] ERROR: Failed to load plugin trac.admin.console from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/trac/loader.py", line 101, in load_components
    entry_point.load()
  File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/pkg_resources.py", line 1954, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
ImportError: No module named admin.console
2013-11-29 14:24:16,093 Trac[loader] DEBUG: Loading egg plugin trac.db.mysql from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:16,094 Trac[loader] DEBUG: Loading egg plugin tracopt.perm.authz_policy from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:16,096 Trac[loader] ERROR: Failed to load plugin tracopt.perm.authz_policy from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/trac/loader.py", line 101, in load_components
    entry_point.load()
  File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/pkg_resources.py", line 1954, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
  File "build/bdist.linux-i686/egg/tracopt/perm/authz_policy.py", line 23, in ?
ImportError: cannot import name IPermissionPolicy
2013-11-29 14:24:16,097 Trac[loader] DEBUG: Loading egg plugin trac.versioncontrol.svn_authz from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:16,097 Trac[loader] DEBUG: Loading egg plugin trac.versioncontrol.admin from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:16,098 Trac[loader] ERROR: Failed to load plugin trac.versioncontrol.admin from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/trac/loader.py", line 101, in load_components
    entry_point.load()
  File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/pkg_resources.py", line 1954, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
ImportError: No module named admin
2013-11-29 14:24:16,098 Trac[loader] DEBUG: Loading egg plugin trac.search from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:16,099 Trac[loader] ERROR: Failed to load plugin trac.search from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/trac/loader.py", line 101, in load_components
    entry_point.load()
  File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/pkg_resources.py", line 1954, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
ImportError: No module named search.web_ui
2013-11-29 14:24:16,099 Trac[loader] DEBUG: Loading egg plugin tracopt.perm.config_perm_provider from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:16,100 Trac[loader] DEBUG: Loading egg plugin trac.prefs from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
2013-11-29 14:24:16,101 Trac[loader] ERROR: Failed to load plugin trac.prefs from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/trac/loader.py", line 101, in load_components
    entry_point.load()
  File "/usr/lib/python2.4/site-packages/setuptools-0.6c11-py2.4.egg/pkg_resources.py", line 1954, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
ImportError: No module named prefs.web_ui
2013-11-29 14:24:16,101 Trac[loader] DEBUG: Loading egg plugin trac.ticket.report from /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg

I have tried downloading and re-installing trac 0.10.4 and I also noticed the following problem, I cannot create any trac projects either

[root@hero trac]# trac-admin nagios initenv
Traceback (most recent call last):
  File "/usr/bin/trac-admin", line 21, in ?
    from trac.scripts.admin import run
ImportError: No module named scripts.admin

29th november is when all this happened, only 3 packages where updated.

[root@hero trac]# rpm -qa --queryformat '%{installtime} (%{installtime:date}) %{name}\n' | sort -n | tail -20
1272376205 (Tue 27 Apr 2010 02:50:05 PM BST) perl-Digest-SHA
1272376206 (Tue 27 Apr 2010 02:50:06 PM BST) perl-Net-DNS
1272376367 (Tue 27 Apr 2010 02:52:47 PM BST) perl-Net-IMAP-Simple
1297437326 (Fri 11 Feb 2011 03:15:26 PM GMT) rsync
1303313671 (Wed 20 Apr 2011 04:34:31 PM BST) bacula-libs
1303313686 (Wed 20 Apr 2011 04:34:46 PM BST) bacula-client
1319625083 (Wed 26 Oct 2011 11:31:23 AM BST) nano
1320596688 (Sun 06 Nov 2011 04:24:48 PM GMT) libsmbclient
1320596692 (Sun 06 Nov 2011 04:24:52 PM GMT) samba-common
1320596694 (Sun 06 Nov 2011 04:24:54 PM GMT) perl-Convert-ASN1
1320596695 (Sun 06 Nov 2011 04:24:55 PM GMT) samba-client
1320596697 (Sun 06 Nov 2011 04:24:57 PM GMT) samba
1360917828 (Fri 15 Feb 2013 08:43:48 AM GMT) which
1380191389 (Thu 26 Sep 2013 11:29:49 AM BST) httperf
1380798707 (Thu 03 Oct 2013 12:11:47 PM BST) libssh2
1380798733 (Thu 03 Oct 2013 12:12:13 PM BST) libssh2-devel
1380799094 (Thu 03 Oct 2013 12:18:14 PM BST) php-pear
1385728355 (Fri 29 Nov 2013 12:32:35 PM GMT) neon
1385728360 (Fri 29 Nov 2013 12:32:40 PM GMT) subversion
1385728366 (Fri 29 Nov 2013 12:32:46 PM GMT) mod_dav_svn

In theory if i remove the dir /usr/share/trac and /usr/lib/python2.4/site-packages/trac/ and re-install trac 0.10.4 should it not work? I have tried this and it does not.

I have now done the following which has fixed issue of allowing me to create trac projects, however I cannot get into trac using browser.

[root@hero trac]# easy_install -m trac
Searching for trac
Best match: Trac 0.12
Processing Trac-0.12-py2.4.egg
Removing Trac 0.12 from easy-install.pth file
Installing trac-admin script to /usr/bin
Installing tracd script to /usr/bin

Using /usr/lib/python2.4/site-packages/Trac-0.12-py2.4.egg

Because this distribution was installed --multi-version, before you can
import modules from this package in an application, you will need to
'import pkg_resources' and then use a 'require()' call similar to one of
these examples, in order to select the desired version:

    pkg_resources.require("Trac")  # latest installed version
    pkg_resources.require("Trac==0.12")  # this exact version
    pkg_resources.require("Trac>=0.12")  # this version or higher

Processing dependencies for trac
Finished processing dependencies for trac

The error I receive is

[Mon Dec 02 10:58:21 2013] [error] [client 172.16.0.85] PythonHandler trac.web.modpython_frontend: Traceback (most recent call last):, referer: http://hero/trac/
[Mon Dec 02 10:58:21 2013] [error] [client 172.16.0.85] PythonHandler trac.web.modpython_frontend:   File "/usr/lib/python2.4/site-packages/mod_python/apache.py", line 287, in HandlerDispatch\n    log=debug), referer: http://hero/trac/
[Mon Dec 02 10:58:21 2013] [error] [client 172.16.0.85] PythonHandler trac.web.modpython_frontend:   File "/usr/lib/python2.4/site-packages/mod_python/apache.py", line 461, in import_module\n    f, p, d = imp.find_module(parts[i], path), referer: http://hero/trac/
[Mon Dec 02 10:58:21 2013] [error] [client 172.16.0.85] PythonHandler trac.web.modpython_frontend: ImportError: No module named trac, referer: http://hero/trac/
share|improve this question
    
Have you recently run yum update on the system? Most likely your install of Python changed or one it's modules, or the libraries that create bindings between SVN and Python. –  slm Nov 29 '13 at 15:08
    
yes i have, i think subversion was updated –  sharif Nov 29 '13 at 15:18
    
That's the problem, most likely. You can remove it and then try installing the older version. –  slm Nov 29 '13 at 15:19
    
there was a list of updates that installed as well how would i revert back to them? i don't know what they was –  sharif Nov 29 '13 at 15:22
    
$ rpm -qa --queryformat '%{installtime} (%{installtime:date}) %{name}\n' | sort -n | tail -10 will show you the last 10 packages installed. You can adjust the tail -10 to get more by changing -10 to -20, for eg. –  slm Nov 29 '13 at 20:16

1 Answer 1

up vote 0 down vote accepted

I removed /usr/share/trac and /usr/lib/python2.4/site-packages/trac/. downlaoded v 0.10.4 and re-installed. Not sure why the 1st time it did not work, but this solved my problem and successfully restored trac.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.